<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8" />
  </startup>
  <appSettings>
    <add key="version" value="2.0" />
    <add key="NseURL" value="https://www.connect2nse.com/extranet-api/" />
    <add key="LoginURL" value="login/" />
    <add key="LogoutURL" value="logout/" />
    <add key="Membercode" value="12345" />
    <add key="NseApiKey" value="abcd" />
    <add key="loginid" value="" />
    <add key="lidAc" value="Vy3RYXDdMjt+WmL3+7wNqw==" />
    <add key="AccessToken" value="" />
    <add key="TokenExpiry" value="03/Oct/2024 03:14:45 PM" />
    <add key="FileDownloadDirectory" value="D:\Extranet downloads" />
    <add key="CreateSegmentFolder" value="N" />
    <add key="ShowMTFolderWarning" value="Y" />
    <add key="DefaultSegment" value="FO" />
    <add key="Viewtype" value="ad1" />
    <add key="MaintainState" value="N" />
    <add key="PullRootOnStart" value="N" />
    <add key="SMKey" value="0" />
    <add key="SearchSSP" value="20" />
    <add key="ShowFolderItemCount" value="Y" />
    <add key="DEA" value="0" />
    <add key="TelerikWinFormsThemeName" value="Fluent" />
    <add key="AutoOperations" value="Y" />
    <add key="ExchangeStructure" value="Y" />
    <add key="CacheExchangeRoots" value="Y" />
    <add key="AutoSessionRenew" value="N" />
    <add key="AutoSessionRenewBeforeTO" value="Y" />
    <add key="ASRTimeoutSec" value="300" />
    <add key="ASRAttempts" value="10" />
    <add key="ASRIntervalMin" value="5" />
    <add key="ASRShowWindow" value="Y" />
    <add key="ASRLogActions" value="Y" />
    <add key="AutoDownloadAtStart" value="N" />
    <add key="ADIntervalSec" value="5" />
    <add key="ADDays" value="1" />
    <add key="ADSeg_CM" value="Y" />
    <add key="ADSeg_FO" value="N" />
    <add key="ADSeg_CD" value="N" />
    <add key="ADSeg_CO" value="N" />
    <add key="ADSeg_SLB" value="N" />
    <add key="ADSeg_MFS" value="N" />
    <add key="ADSeg_DEBT" value="N" />
    <add key="ADSeg_WD" value="N" />
    <add key="ADInTimeFrame" value="N" />
    <add key="ADTimeFrameStart" value="06:00:00 am" />
    <add key="ADTimeFrameEnd" value="08:30:00 pm" />
    <add key="ADWD_Sun" value="Y" />
    <add key="ADWD_Mon" value="Y" />
    <add key="ADWD_Tue" value="Y" />
    <add key="ADWD_Wed" value="Y" />
    <add key="ADWD_Thu" value="Y" />
    <add key="ADWD_Fri" value="Y" />
    <add key="ADWD_Sat" value="Y" />
    <add key="ADMemFiles" value="N" />
    <add key="ADCmnFiles" value="Y" />
    <add key="ADIgnoreDates" value="" />
    <add key="AD_IncludeTodaysFile" value="Y" />
    <add key="ADIgnoreSun" value="N" />
    <add key="ADIgnoreSat" value="N" />
    <add key="CreateMTFolders" value="Y" />
    <add key="ExtractGz" value="Y" />
    <add key="DeletExtractedGz" value="Y" />
    <add key="CreateGZFolder" value="N" />
    <add key="RTimeAtStart" value="N" />
    <add key="RTimeInterval" value="5" />
    <add key="IsRTimeDownload" value="Y" />
    <add key="RTNotDownloadedAsNewFile" value="Y" />
    <add key="RTShowFileDownloadedAlerts" value="Y" />
    <add key="RTNumberOfDaysToConsider" value="1" />
    <add key="Use_TLS_1_3" value="N" />
    <add key="Use_Proxy_Settings" value="N" />
    <add key="Use_Proxy_Creds" value="N" />
    <add key="Proxy_Address" value="" />
    <add key="Proxy_Port" value="" />
    <add key="Proxy_UserID" value="" />
    <add key="Proxy_Password" value="" />
    <add key="ApiTimeOutInterval" value="150" />
  </appSettings>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.2" newVersion="4.0.1.2" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>
